Publish Kate in the Microsoft Store
Closed, ResolvedPublic

Description

Kate will be a useful program on Windows. We should package it and upload it to the KDE Community's account on the Microsoft Store.

Checklist:

  • maintainer/team agrees
  • package is ready
  • some testing has been done
  • icons in 44x44 and 150x150
  • optional icons 310x150 and 310x310
  • screenshots
  • description
  • feature description (multiple: tag like)
lydia created this task.Sep 2 2018, 1:47 PM

I think the "Kate" team has no issues with this.

vonreth updated the task description. (Show Details)Sep 4 2018, 9:24 PM
vonreth added a subscriber: vonreth.

Great, then I need those assets and the description :)

cullmann claimed this task.Sep 14 2018, 6:15 AM

Perhaps somebody needs to take care.

For the icon assets, I added new exported sizes 44, 150 and 310 from the SVG to our git:

https://cgit.kde.org/kate.git/commit/?id=071835f01f00a829cc07a57b0e4d7024fcc45df5

I am not sure what to do with the 310x150 variant, that is for the "start menu", or?

:=) Adding the promo-tag.

Dear promo team, has anybody a bit time to help to write some awesome description for the app store for Kate?
I more or less suck at writing such things and I think a good first impression is important here.

Btw, a sophisticated list of features is available on https://kate-editor.org/about-kate/

Hmm, somehow this got stalled :/

I played a bit around with the nightly builds from the binary factory.
Look good enough for me for normal use.
There could be some fine tunings like better styling of the status bars, but beside that, I saw no obvious issues compared to the Linux version.

cullmann reassigned this task from cullmann to lydia.Aug 11 2019, 6:11 PM

Hi, is there a way to get this going again?
Can I do that on my own? I have a Microsoft account "christoph@cullmann.io", can that one be authorized to add the application to the store under "KDE e.V."?

Hi I will look into it again.
If I can't find the time... I definitely plan to get it done during akademy.

Ok ;) Thanks.

If I can help, I have some time for this (and Windows machines at work for testing).
And I would be interested to be able to provide updated version to the store on my own if feasible.

:=) Beside that: If you attend akademy, I need to invite you to some drink for all the work on the binary factory (and craft)!

Is there some help needed with the required privacy policy?

Lydia told me she has some draft from Ben for that.

We did it, hurray .)

cullmann closed this task as Resolved.Sep 12 2019, 9:56 AM

https://kate-editor.org/post/2019/2019-09-12-kate-windows-store-submission/

For more stuff, we can open new tasks.
Thanks to all people that helped out here!

Can you update Kate icon to actual (Breeze style) in Microsoft Store?
https://github.com/KDE/breeze-icons/blob/master/icons/apps/48/kate.svg

I won't touch that icon at the moment.
Tyson is working on some improved variant, I will update all places once that is there.